Project Instance
Get a list of Project objects. Projects have a 1:1 mapping with Observations.
### Available end points:
- `/projects/` - Will list all Projects in the database
- `/projects.json` - Will return all Projects in json format
- `/projects/<object_id>/` - Returns Projects object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `uuid`
- `status`
- `title`
- `keywords`
### How to use filters:
- `/projects/?uuid=ab4ca8d019d148f78afba1cd20872bdd`
- `/projects/?title__icontains!=Project details`
- `/projects.json?status=ongoing`
GET /api/v2/projects/44508/?format=api
{ "ob_id": 44508, "uuid": "b68e7dd41370480db6e08493cb19dda1", "title": "SURVIWEC (Survivability of Wave Energy Converters)", "abstract": "The SURVIWEC project aims to develop and validate a numerical tool based on DualSPHysics to assess the survivability of point absorber wave energy devices under extreme wave conditions. The project includes analyzing present and future wave scenarios, enhancing the simulation code, and testing various device configurations. The tool and validation data will be released as open-source to support further research and development.", "keywords": "", "status": "completed", "publicationState": "published", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/13417/?format=api" ], "observationCollection": [], "parentProject": null, "subProject": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/213007/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/213008/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/213009/?format=api" ] }